Bug 490479 - error when hot-unplugging a file-backed virtio disk
error when hot-unplugging a file-backed virtio disk
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-16 12:38 EDT by Mike Bonnet
Modified: 2009-12-18 04:02 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 04:02:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg output after the disk was hot-unplugged, including the kernel backtrace (33.70 KB, text/plain)
2009-03-16 12:38 EDT, Mike Bonnet
no flags Details

  None (edit)
Description Mike Bonnet 2009-03-16 12:38:58 EDT
Created attachment 335373 [details]
dmesg output after the disk was hot-unplugged, including the kernel backtrace

Description of problem:
I had just added a new file-backed virtio disk to a running F10 guest on a F10 host.  When I then removed the disk from the running host (using virt-manager), I got this message printed to the console:

WARNING: at drivers/base/core.c:122 device_release+0x66/0x68()
Hardware name: 
Device 'virtio2' does not have a release() function, it is broken and must be fixed.

The device appeared to be successfully removed (it no longer appeared in /proc/partitions in the running guest).

Version-Release number of selected component (if applicable):
2.6.27.19-170.2.35.fc10.x86_64

How reproducible:
always

Steps to Reproduce:
1. Add a file-backed virtio disk to a running guest
2. Remove the disk
3.
  
Actual results:
Error message and kernel backtrace printed to the console

Expected results:
No error

Additional info:
The device was apparently 'virtio2' because it was the second virtio device added to the system.  When I reproduced the error again later it said: Device 'virtio4'...
Comment 1 Mark McLoughlin 2009-03-25 13:03:20 EDT
Thanks for the report

Fixed a while ago upstream by:

http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commitdiff;h=29f9f12ec7

So, it should be fixed in rawhide
Comment 2 Bug Zapper 2009-11-18 06:21:26 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2009-12-18 04:02:05 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.